Debian Bug report logs - #582884
RFP: usb-creator-to-be-renamed -- startup disk creator

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>

Date: Mon, 24 May 2010 10:57:07 UTC

Severity: wishlist

Merged with 576359, 605001

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 10:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 24 May 2010 10:57:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
To: submit@bugs.debian.org
Subject: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 11:55:44 +0100
Package: wnpp
Severity: wishlist
X-Debbugs-Cc: debian-devel@lists.debian.org,
       usb-creator-hackers@lists.launchpad.net,
       ubuntu-installer@lists.ubuntu.com

Owner: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>

* Package name    : usb-creator
 Version         : 0.2.23
 Upstream Author : Evan Dandrea <evand@ubuntu.com>
* URL             : http://launchpad.net/usb-creator
* License         : GPL-2, GPL-3
 Programming Lang: Python
 Description     : Live USB creator

Utility for converting Live Linux CDs into bootable USB sticks for example
Ubuntu and Kubuntu. This utility can partition USB stick to allow storing user
files in persistence mode.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 582884@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 13:15:37 +0200
On 05/24/2010 12:55 PM, Dmitrijs Ledkovs wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-Cc: debian-devel@lists.debian.org,
>        usb-creator-hackers@lists.launchpad.net,
>        ubuntu-installer@lists.ubuntu.com
> 
> Owner: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
> 
> * Package name    : usb-creator

"usb-creator" is a bit misleading (or at least… not clear). Could you
rename it into something like "live-usb-creator"?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 11:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 11:30:08 GMT) Full text and rfc822 format available.

Message #15 received at 582884@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
To: Mehdi Dogguy <mehdi@dogguy.org>, usb-creator-hackers@lists.launchpad.net
Cc: 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 12:27:47 +0100
On 24 May 2010 12:15, Mehdi Dogguy <mehdi@dogguy.org> wrote:
> On 05/24/2010 12:55 PM, Dmitrijs Ledkovs wrote:
>> Package: wnpp
>> Severity: wishlist
>> X-Debbugs-Cc: debian-devel@lists.debian.org,
>>        usb-creator-hackers@lists.launchpad.net,
>>        ubuntu-installer@lists.ubuntu.com
>>
>> Owner: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
>>
>> * Package name    : usb-creator
>
> "usb-creator" is a bit misleading (or at least… not clear). Could you
> rename it into something like "live-usb-creator"?
>
> Regards,
>

This package has been shipped in Ubuntu for a few releases now.
Currently it builds usb-creator-common, usb-creator-gtk &
usb-creator-kde packages with backend, GTK and Qt front ends
respectively.
I don't believe the name is misleading when read together with short
description or with long description. Plus it would be inconvenience
to rename the package again, cause we have just transitioned from
usb-creator -> usb-creator-$(frontend) in Ubuntu.

I've created Debian branded icons, I will work on making description
non-vendor specific. This is the current debian/control.

----8<------
$ cat debian/control
Source: usb-creator
Section: admin
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python,
               python-distutils-extra,
               pkg-kde-tools
Standards-Version: 3.8.4
Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk

Package: usb-creator-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dbus, syslinux,
 udisks (>= 1.0~), udisks (<< 1.1), genisoimage, mtools, parted
Description: Live USB creator (common files)
 Utility for converting Live Linux CDs into bootable USB sticks for example
 Ubuntu and Kubuntu. This utility can partition USB stick to allow
 storing user files in persistence mode.
 .
 This package contains backend engine and common data files used
 by frontends.

Package: usb-creator-gtk
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 usb-creator-common (= ${source:Version}), python-gtk2 (>= 2.12),
 python-dbus, python-gnome2
Description: Live USB creator for GNOME
 Utility for converting Live Linux CDs into bootable USB sticks for example
 Ubuntu and Ubuntu Netbook Remix. This utility can partition USB stick to allow
 storing user files in persistence mode.
 .
 This package contains the GTK+ client frontend.

Package: usb-creator-kde
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 usb-creator-common (= ${source:Version}), python-kde4, python-qt4-dbus
Description: Live USB creator for KDE
 Utility for converting Live Linux CDs into bootable USB sticks for example
 Kubuntu and Kubuntu Netbook Remix. This utility can partition USB stick to
 allow storing user files in persistence mode.
 .
 This package contains the KDE client frontend.
-----8<------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 11:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 11:48:06 GMT) Full text and rfc822 format available.

Message #20 received at 582884@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
Cc: usb-creator-hackers@lists.launchpad.net, 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 13:43:22 +0200
On 05/24/2010 01:27 PM, Dmitrijs Ledkovs wrote:
>>> 
>>> * Package name    : usb-creator
>> 
>> "usb-creator" is a bit misleading (or at least… not clear). Could 
>> you rename it into something like "live-usb-creator"?
>> 
> 
> This package has been shipped in Ubuntu for a few releases now.

Honestly, I don't know how you (as a team) ended up with such a name.

> I don't believe the name is misleading when read together with short 
> description or with long description.

Having a clear short description is not a valid reason to keep that
name, IMO. And such a name may not be appropriate because it's too
general. "live-usb-creator" tells you what the program does, without
reading its short description.

> Plus it would be inconvenience to rename the package again, cause we
> have just transitioned from usb-creator -> usb-creator-$(frontend) 
> in Ubuntu.
> 

We are talking about a NEW package in *Debian*, right? Besides, it
shouldn't be that hard to rename a package.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 11:57:06 GMT) Full text and rfc822 format available.

Message #25 received at 582884@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 13:53:20 +0200
On Mon, May 24, 2010 at 12:55, Dmitrijs Ledkovs
<dmitrij.ledkov@ubuntu.com> wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-Cc: debian-devel@lists.debian.org,
>        usb-creator-hackers@lists.launchpad.net,
>        ubuntu-installer@lists.ubuntu.com
>
> Owner: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
>
> * Package name    : usb-creator
>  Version         : 0.2.23
>  Upstream Author : Evan Dandrea <evand@ubuntu.com>
> * URL             : http://launchpad.net/usb-creator
> * License         : GPL-2, GPL-3
>  Programming Lang: Python
>  Description     : Live USB creator
>
> Utility for converting Live Linux CDs into bootable USB sticks for example
> Ubuntu and Kubuntu. This utility can partition USB stick to allow storing user
> files in persistence mode.

Hi Dmitrijs,

I already own an ITP for usb-creator [1].

I have started working on it. I should be releasing it soon.

Could you close your bug report? Or may be merge the two bugs?

Thanks.

Cheers,
 Ignace M

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576359




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 12:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 12:00:06 GMT) Full text and rfc822 format available.

Message #30 received at 582884@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: usb-creator-hackers@lists.launchpad.net, 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 12:58:09 +0100
On 24 May 2010 12:43, Mehdi Dogguy <mehdi@dogguy.org> wrote:
> On 05/24/2010 01:27 PM, Dmitrijs Ledkovs wrote:
>>>>
>>>> * Package name    : usb-creator
>>>
>>> "usb-creator" is a bit misleading (or at least… not clear). Could
>>> you rename it into something like "live-usb-creator"?
>>>
>>
>> This package has been shipped in Ubuntu for a few releases now.
>
> Honestly, I don't know how you (as a team) ended up with such a name.
>

it was before me. But there is liveusb-creator package already
developed and packaged in Fedora [1]

[1] https://fedorahosted.org/liveusb-creator/

>> I don't believe the name is misleading when read together with short
>> description or with long description.
>
> Having a clear short description is not a valid reason to keep that
> name, IMO. And such a name may not be appropriate because it's too
> general. "live-usb-creator" tells you what the program does, without
> reading its short description.
>
>> Plus it would be inconvenience to rename the package again, cause we
>> have just transitioned from usb-creator -> usb-creator-$(frontend)
>> in Ubuntu.
>>
>
> We are talking about a NEW package in *Debian*, right? Besides, it
> shouldn't be that hard to rename a package.
>

Yes, new package in Debian. But ubuntu & debian share package
namespace so this upload into debian will affect ubuntu.

I think changing package name to live-usb-creator will create
confusion with liveusb-creator by Fedora and that might be package for
debian as well.


> Regards,
>
> --
> Mehdi Dogguy مهدي الدڤي
> http://dogguy.org/
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 12:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 12:06:06 GMT) Full text and rfc822 format available.

Message #35 received at 582884@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
To: Ignace Mouzannar <mouzannar@gmail.com>, usb-creator-hackers@lists.launchpad.net
Cc: 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 13:02:13 +0100
On 24 May 2010 12:53, Ignace Mouzannar <mouzannar@gmail.com> wrote:
>
> Hi Dmitrijs,
>
> I already own an ITP for usb-creator [1].
>

reportbug failed to bring it up =( annoyed. Sorry about this.

> I have started working on it. I should be releasing it soon.
>

Is your work available anywhere to see? What changes have you made?

> Could you close your bug report? Or may be merge the two bugs?
>

I will merge the two bugs. Are you OK to co-maintain?

I've recently done some improvements to usb-creator: exported
translations into the bzr-branch, debranded artwork, created debian
artwork.

As a whole it is ready to be released straight from lp:usb-creator.
Currently it is maintained as native package and we would like to keep
it like that for now. So the idea is to release as native debian
package from lp:usb-creator and sync into ubuntu.

> Thanks.
>
> Cheers,
>  Ignace M
>
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576359
>




Forcibly Merged 576359 582884. Request was from Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> to control@bugs.debian.org. (Mon, 24 May 2010 12:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Mon, 24 May 2010 13:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Dandrea <ev@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 24 May 2010 13:21:12 GMT) Full text and rfc822 format available.

Message #42 received at 582884@bugs.debian.org (full text, mbox):

From: Evan Dandrea <ev@ubuntu.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, 582884@bugs.debian.org, usb-creator-hackers@lists.launchpad.net
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 14:19:28 +0100
On Mon, May 24, 2010 at 12:43 PM, Mehdi Dogguy <mehdi@dogguy.org> wrote:
>>>> * Package name    : usb-creator
>>>
>>> "usb-creator" is a bit misleading (or at least… not clear). Could
>>> you rename it into something like "live-usb-creator"?
>> This package has been shipped in Ubuntu for a few releases now.
>
> Honestly, I don't know how you (as a team) ended up with such a name.

I do not think it is misleading at all.  Calling it "live-usb-creator"
would just add confusion as it can be used to write debian-installer
ISOs as well, which clearly are not live CDs.

>> I don't believe the name is misleading when read together with short
>> description or with long description.
>
> Having a clear short description is not a valid reason to keep that
> name, IMO. And such a name may not be appropriate because it's too
> general. "live-usb-creator" tells you what the program does, without
> reading its short description.

I don't think you can encapsulate what this program does in the
package name alone.

Equally, Evolution isn't packaged as evolution-mail-client, despite
"evolution" telling you nothing about what it does.  So why should we
apply this new rule to just usb-creator?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Mon, 24 May 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 24 May 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #47 received at 582884@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Evan Dandrea <ev@ubuntu.com>
Cc: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, 582884@bugs.debian.org, usb-creator-hackers@lists.launchpad.net
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 15:50:32 +0200
On 05/24/2010 03:19 PM, Evan Dandrea wrote:
> On Mon, May 24, 2010 at 12:43 PM, Mehdi Dogguy <mehdi@dogguy.org> 
> wrote:
>>>>> * Package name    : usb-creator
>>>> 
>>>> "usb-creator" is a bit misleading (or at least… not clear). 
>>>> Could you rename it into something like "live-usb-creator"?
>>> This package has been shipped in Ubuntu for a few releases now.
>> 
>> Honestly, I don't know how you (as a team) ended up with such a 
>> name.
> 
> I do not think it is misleading at all.  Calling it 
> "live-usb-creator" would just add confusion as it can be used to 
> write debian-installer ISOs as well, which clearly are not live CDs.
> 

Is any debian-installer ISO used to be called "live" something? I don't
think so.

> 
> Equally, Evolution isn't packaged as evolution-mail-client, despite 
> "evolution" telling you nothing about what it does.  So why should we
> apply this new rule to just usb-creator?

I'm not stating a new rule. Don't make assumptions from nothing!
And that's not "equally" since Evolution doesn't contain mail nor client
in its name. "usb-creator" is more explicit about promised features
than "evolution".

If you want to keep that name, then fine! But, please, don't be
hypocritical!

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Mon, 24 May 2010 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 24 May 2010 16:21:05 GMT) Full text and rfc822 format available.

Message #52 received at 582884@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: usb-creator-hackers@lists.launchpad.net, 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 17:19:23 +0100
Dmitrijs Ledkovs wrote:
> Mehdi Dogguy <mehdi@dogguy.org> wrote:
>>>>> * Package name    : usb-creator
>>>> "usb-creator" is a bit misleading (or at least… not clear). Could
>>>> you rename it into something like "live-usb-creator"?
>>>
>>> This package has been shipped in Ubuntu for a few releases now.
>>
>> Honestly, I don't know how you (as a team) ended up with such a name.
> 
> it was before me. But there is liveusb-creator package already
> developed and packaged in Fedora [1]
> 
> [1] https://fedorahosted.org/liveusb-creator/

Speaking as a random bystander who just happened to notice this
Debian ITP and went "WTF?", I would like to point out that
"usb-creator" and "liveusb-creator" are two different strings, and 
that even "liveusb-creator" may be less than self-explanatory for
people who don't happen to have been reading the boot-CD development
mailinglists for the past few years. 

For us outsiders, "LiveUSB" is an unfamiliar piece of jargon.  I
gather it's formed by analogy with "liveCD", but the difference is
that "live CDs" are literally a kind of CD (like "music CDs" and
"data CDs"), while "live USBs" aren't any kind of USB - they're a
kind of flash drive.

Taking that already confusing term and leaving off the "live"
eliminates the only clue that it has something to do with booting an
operating system, and leaves us wondering how you've managed to
package a Creator that can be plugged into a USB port.

So if you're going to insist on giving these packages newbie-hostile
names, please at least say you'll give them intelligible short
descriptions, not just ones that expand the name slightly.

I would suggest instead of having synopses like this:

 Package: usb-creator-common
 ...
 Description: Live USB creator (common files)

they should be more along the lines of:

 Package: usb-creator-common
 ...
 Description: tool for putting OS images on flash drives - common files

-- 
JBR
Ankh kak! (Ancient Egyptian blessing)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 24 May 2010 19:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 May 2010 19:54:05 GMT) Full text and rfc822 format available.

Message #57 received at 582884@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
Cc: usb-creator-hackers@lists.launchpad.net, 582884@bugs.debian.org
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 24 May 2010 21:50:11 +0200
On Mon, May 24, 2010 at 14:02, Dmitrijs Ledkovs
<dmitrij.ledkov@ubuntu.com> wrote:
> On 24 May 2010 12:53, Ignace Mouzannar <mouzannar@gmail.com> wrote:
>>
>> Hi Dmitrijs,
>>
>> I already own an ITP for usb-creator [1].
>>
>
> reportbug failed to bring it up =( annoyed. Sorry about this.
>
>> I have started working on it. I should be releasing it soon.
>>
>
> Is your work available anywhere to see? What changes have you made?

Not yet. It is still only available on my machine. But I was thinking
of creating a branch including my changes.

>> Could you close your bug report? Or may be merge the two bugs?
>>
>
> I will merge the two bugs. Are you OK to co-maintain?

Of course. Debian would benefit from this. :)

> I've recently done some improvements to usb-creator: exported
> translations into the bzr-branch, debranded artwork, created debian
> artwork.

Excellent! :)

> As a whole it is ready to be released straight from lp:usb-creator.
> Currently it is maintained as native package and we would like to keep
> it like that for now. So the idea is to release as native debian
> package from lp:usb-creator and sync into ubuntu.

I was thinking of sending an email to see if releasing usb-creator as
a non-native package could be an option. Thank you for clarifying
this.

Cheers,
 Ignace M




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Wed, 26 May 2010 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Wed, 26 May 2010 22:15:05 GMT) Full text and rfc822 format available.

Message #62 received at 582884@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Justin B Rye <jbr@edlug.org.uk>, 582884@bugs.debian.org
Cc: usb-creator-hackers@lists.launchpad.net
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Wed, 26 May 2010 23:55:56 +0200
On 05/24/2010 06:19 PM, Justin B Rye wrote:
> 
> Taking that already confusing term and leaving off the "live"
> eliminates the only clue that it has something to do with booting an
> operating system, and leaves us wondering how you've managed to
> package a Creator that can be plugged into a USB port.
> 

Exactly :)

Besides, FTP-masters could not like that name because it's too generic
(and meaningless). So, before proceeding with the upload, you may want
to check with them how they feel about it.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Wed, 26 May 2010 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 26 May 2010 22:57:03 GMT) Full text and rfc822 format available.

Message #67 received at 582884@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: Mehdi Dogguy <mehdi@debian.org>, 582884@bugs.debian.org
Cc: Justin B Rye <jbr@edlug.org.uk>, usb-creator-hackers@lists.launchpad.net
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Thu, 27 May 2010 00:53:55 +0200
On Wed, May 26, 2010 at 23:55, Mehdi Dogguy <mehdi@debian.org> wrote:
> On 05/24/2010 06:19 PM, Justin B Rye wrote:
>>
>> Taking that already confusing term and leaving off the "live"
>> eliminates the only clue that it has something to do with booting an
>> operating system, and leaves us wondering how you've managed to
>> package a Creator that can be plugged into a USB port.
>>
>
> Exactly :)
>
> Besides, FTP-masters could not like that name because it's too generic

Let's let FTP-masters talk for themselves, before shouting out-loud
what they could or could not like.

> (and meaningless).

This does not help there; not every package has a meaningful name.

> So, before proceeding with the upload, you may want to check with them
> how they feel about it.

Will do. Thanks for the heads-up.

Cheers,
 Ignace M




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Thu, 27 May 2010 08:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Thu, 27 May 2010 08:18:06 GMT) Full text and rfc822 format available.

Message #72 received at 582884@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Ignace Mouzannar <mouzannar@gmail.com>
Cc: 582884@bugs.debian.org, Justin B Rye <jbr@edlug.org.uk>, usb-creator-hackers@lists.launchpad.net
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Thu, 27 May 2010 10:12:39 +0200
On 05/27/2010 12:53 AM, Ignace Mouzannar wrote:
>>
>> Besides, FTP-masters could not like that name because it's too generic
> 
> Let's let FTP-masters talk for themselves, before shouting out-loud
> what they could or could not like.
> 

I'm not "shouting out-loud"! I'm giving you an advice/information to
save a "process-reject" cycle. Let's keep it easy…

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Thu, 27 May 2010 10:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Thu, 27 May 2010 10:51:07 GMT) Full text and rfc822 format available.

Message #77 received at 582884@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Ignace Mouzannar <mouzannar@gmail.com>, 582884@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, usb-creator-hackers@lists.launchpad.net
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Thu, 27 May 2010 12:46:31 +0200
Hi!

* Ignace Mouzannar <mouzannar@gmail.com> [100527 00:53]:

> > Besides, FTP-masters could not like that name because it's too generic
> Let's let FTP-masters talk for themselves, before shouting out-loud
> what they could or could not like.
[.]
> > So, before proceeding with the upload, you may want to check with them
> > how they feel about it.
> Will do. Thanks for the heads-up.

To answer your questions:

Yes, the name is too generic.
No, "it is already in Ubuntu" is no argument.
No, "it will lead to some kind of problems for Ubuntu to have it in
Debian with a different way) is also not an argument.
Yes, we have and will reject packages because of too generic names
(several gnustep package come to my mind).


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Thu, 27 May 2010 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 May 2010 11:33:03 GMT) Full text and rfc822 format available.

Message #82 received at 582884@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 582884@bugs.debian.org, Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, usb-creator-hackers@lists.launchpad.net, Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
Subject: Re: Bug#582884: ITP: usb-creator -- Live USB creator
Date: Thu, 27 May 2010 13:30:33 +0200
On Thu, May 27, 2010 at 12:46, Alexander Reichle-Schmehl
<tolimar@debian.org> wrote:
> Hi!

Hello Alexander,

Thank you for taking the time to look at this thread.

> To answer your questions:
>
> Yes, the name is too generic.
> No, "it is already in Ubuntu" is no argument.
> No, "it will lead to some kind of problems for Ubuntu to have it in
> Debian with a different way) is also not an argument.
> Yes, we have and will reject packages because of too generic names
> (several gnustep package come to my mind).

Fair enough.

Here are some alternative names:
 - live-usb-creator (as Mehdi suggested earlier)
 - iso-usb-creator
 - startup-disk-creator (this is what the Gnome menu item reads [1])
 - startup-usb-creator
 - ubuntu-usb-creator

Any other name suggestions are more than welcome. :)

Dmitrijs and the Usb-creator Hackers team: would you be willing to
change the name of the package upstream?

Cheers,
 Ignace M

[1] http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk/annotate/head:/desktop/usb-creator-gtk.desktop.in




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Thu, 27 May 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Dandrea <ev@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Thu, 27 May 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #87 received at 582884@bugs.debian.org (full text, mbox):

From: Evan Dandrea <ev@ubuntu.com>
To: Ignace Mouzannar <mouzannar@gmail.com>
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>, Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, 582884@bugs.debian.org, usb-creator-hackers@lists.launchpad.net
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Thu, 27 May 2010 12:47:24 +0100
On Thu, May 27, 2010 at 12:30 PM, Ignace Mouzannar <mouzannar@gmail.com> wrote:
> On Thu, May 27, 2010 at 12:46, Alexander Reichle-Schmehl
> <tolimar@debian.org> wrote:
>> Yes, the name is too generic.
>> No, "it is already in Ubuntu" is no argument.
>> No, "it will lead to some kind of problems for Ubuntu to have it in
>> Debian with a different way) is also not an argument.
>> Yes, we have and will reject packages because of too generic names
>> (several gnustep package come to my mind).

> Here are some alternative names:
>  - live-usb-creator (as Mehdi suggested earlier)
>  - iso-usb-creator
>  - startup-disk-creator (this is what the Gnome menu item reads [1])
>  - startup-usb-creator
>  - ubuntu-usb-creator

I can't say I agree, but if we're going to have to do this, we might
as well take the opportunity to make it consistent with the .desktop
file.  Alexander, are you okay with startup-disk-creator?

I think if we can get rid of usb in the name, that would be good as it
can write to SD cards.  I want to avoid using live in the name since,
as I previously mentioned, it can write debian-installer based images,
which are definitely not live CDs.  I don't want to put Ubuntu in the
name.  It writes more than just Ubuntu images (currently any
Debian-based image, but in the future any Linux distribution that uses
GRUB2).




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Wed, 02 Jun 2010 15:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Wed, 02 Jun 2010 15:39:08 GMT) Full text and rfc822 format available.

Message #92 received at 582884@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Evan Dandrea <ev@ubuntu.com>
Cc: Ignace Mouzannar <mouzannar@gmail.com>, Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, 582884@bugs.debian.org, usb-creator-hackers@lists.launchpad.net
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Wed, 02 Jun 2010 17:36:49 +0200
Hi!

Am 27.05.2010 13:47, schrieb Evan Dandrea:

> I can't say I agree, but if we're going to have to do this, we might
> as well take the opportunity to make it consistent with the .desktop
> file.  Alexander, are you okay with startup-disk-creator?

Yes, that sounds good to me.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Thu, 03 Jun 2010 11:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evan Dandrea <ev@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Thu, 03 Jun 2010 11:39:09 GMT) Full text and rfc822 format available.

Message #97 received at 582884@bugs.debian.org (full text, mbox):

From: Evan Dandrea <ev@ubuntu.com>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: Ignace Mouzannar <mouzannar@gmail.com>, Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, 582884@bugs.debian.org, usb-creator-hackers@lists.launchpad.net
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Thu, 3 Jun 2010 12:22:31 +0100
On Wed, Jun 2, 2010 at 4:36 PM, Alexander Reichle-Schmehl
<tolimar@debian.org> wrote:
> Am 27.05.2010 13:47, schrieb Evan Dandrea:
>> I can't say I agree, but if we're going to have to do this, we might
>> as well take the opportunity to make it consistent with the .desktop
>> file.  Alexander, are you okay with startup-disk-creator?
>
> Yes, that sounds good to me.

Great, will do!  One question though.  Are you requiring that we
change the name of the source package as well as the binary packages?

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Wed, 09 Jun 2010 08:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Wed, 09 Jun 2010 08:12:03 GMT) Full text and rfc822 format available.

Message #102 received at 582884@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Evan Dandrea <ev@ubuntu.com>
Cc: Ignace Mouzannar <mouzannar@gmail.com>, Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, 582884@bugs.debian.org, usb-creator-hackers@lists.launchpad.net
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Wed, 09 Jun 2010 10:09:24 +0200
Hi!

Am 03.06.2010 13:22, schrieb Evan Dandrea:

>> Am 27.05.2010 13:47, schrieb Evan Dandrea:
>>> I can't say I agree, but if we're going to have to do this, we might
>>> as well take the opportunity to make it consistent with the .desktop
>>> file.  Alexander, are you okay with startup-disk-creator?
>> Yes, that sounds good to me.
> Great, will do!  One question though.  Are you requiring that we
> change the name of the source package as well as the binary packages?

Could it be, that I forgot to anser this mail?  Sorry.  We would prefer,
if both source and binary package would have the same name.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Mon, 05 Jul 2010 19:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Live <debian-live@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 05 Jul 2010 19:36:02 GMT) Full text and rfc822 format available.

Message #107 received at 582884@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Live <debian-live@lists.debian.org>
Cc: Alexander Schmehl <tolimar@debian.org>, ev@ubuntu.com, mouzannar@gmail.com, mehdi@debian.org, jbr@edlug.org.uk, usb-creator-hackers@lists.launchpad.net, 582884@bugs.debian.org
Subject: Re: ITP: usb-creator -- Live USB creator
Date: Mon, 05 Jul 2010 21:33:10 +0200
The Debian Live team appreciates that you don't use '^live' prefix for
packages that are not maintained by the Debian Live team. This avoids
much confusion and makes our life of supporting users easier.

Thanks,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Sat, 04 Sep 2010 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 Sep 2010 14:24:04 GMT) Full text and rfc822 format available.

Message #112 received at 582884@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: 582884@bugs.debian.org
Cc: Evan Dandrea <ev@ubuntu.com>, Mehdi Dogguy <mehdi@debian.org>, Justin B Rye <jbr@edlug.org.uk>, usb-creator-hackers@lists.launchpad.net, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Sat, 4 Sep 2010 16:21:24 +0200
On Wed, Jun 9, 2010 at 10:09, Alexander Reichle-Schmehl
<tolimar@debian.org> wrote:
> Hi!
>
> Am 03.06.2010 13:22, schrieb Evan Dandrea:
>
>>> Am 27.05.2010 13:47, schrieb Evan Dandrea:
>>>> I can't say I agree, but if we're going to have to do this, we might
>>>> as well take the opportunity to make it consistent with the .desktop
>>>> file.  Alexander, are you okay with startup-disk-creator?
>>> Yes, that sounds good to me.
>> Great, will do!  One question though.  Are you requiring that we
>> change the name of the source package as well as the binary packages?
>
> Could it be, that I forgot to anser this mail?  Sorry.  We would prefer,
> if both source and binary package would have the same name.

Dmitrijs, Evan and the Usb-creator Hackers team, would you be willing
to change the name of the package upstream?  Or should
"startup-disk-creator" be a Debian specific change?

Cheers,
 Ignace M




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#582884; Package wnpp. (Mon, 06 Sep 2010 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 06 Sep 2010 19:24:03 GMT) Full text and rfc822 format available.

Message #117 received at 582884@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
To: Ignace Mouzannar <mouzannar@gmail.com>
Cc: 582884@bugs.debian.org, Justin B Rye <jbr@edlug.org.uk>, Mehdi Dogguy <mehdi@debian.org>, usb-creator-hackers@lists.launchpad.net, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: [Usb-creator-hackers] Bug#582884: ITP: usb-creator -- Live USB creator
Date: Mon, 6 Sep 2010 20:20:59 +0100
On 4 September 2010 15:21, Ignace Mouzannar <mouzannar@gmail.com> wrote:
> On Wed, Jun 9, 2010 at 10:09, Alexander Reichle-Schmehl
> <tolimar@debian.org> wrote:
>> Hi!
>>
>> Am 03.06.2010 13:22, schrieb Evan Dandrea:
>>
>>>> Am 27.05.2010 13:47, schrieb Evan Dandrea:
>>>>> I can't say I agree, but if we're going to have to do this, we might
>>>>> as well take the opportunity to make it consistent with the .desktop
>>>>> file.  Alexander, are you okay with startup-disk-creator?
>>>> Yes, that sounds good to me.
>>> Great, will do!  One question though.  Are you requiring that we
>>> change the name of the source package as well as the binary packages?
>>
>> Could it be, that I forgot to anser this mail?  Sorry.  We would prefer,
>> if both source and binary package would have the same name.
>
> Dmitrijs, Evan and the Usb-creator Hackers team, would you be willing
> to change the name of the package upstream?  Or should
> "startup-disk-creator" be a Debian specific change?
>
> Cheers,
>  Ignace M

I did have a branch somewhere with a rename & fake transitional
packages for Ubuntu. I'll try to get it up for review soon. But
probably it will be merged after 10.10 is released (on the other hand
Lenny is frozen..... so it is harder to get startup-disk-creator into
Lenny with every passing day....)

Fortunately I have finished my studies and can come back to hacking.


With regards,

Dmitrijs.




Changed Bug title to 'RFP: usb-creator -- startup disk creator' from 'ITP: usb-creator -- Live USB creator' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:27:09 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ignace Mouzannar <mouzannar@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Fri, 22 Apr 2011 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jonathan Carter (highvoltage)" <jonathan@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 22 Apr 2011 23:57:03 GMT) Full text and rfc822 format available.


Message #126 received at 582884@bugs.debian.org (full text, mbox):

From: "Jonathan Carter (highvoltage)" <jonathan@ubuntu.com>
To: 582884@bugs.debian.org
Date: Fri, 22 Apr 2011 19:52:01 -0400
Hey guys, not that wheezy is open, is there any chance of getting this
going again? If I can do anything to help, please give me a poke!




Changed Bug title to 'ITP: usb-creator -- startup disk creator' from 'RFP: usb-creator -- startup disk creator' Request was from Adnan Hodzic <adnan@foolcontrol.org> to control@bugs.debian.org. (Tue, 26 Apr 2011 20:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Tue, 26 Apr 2011 21:16:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 26 Apr 2011 21:16:33 GMT) Full text and rfc822 format available.

Message #133 received at 582884@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: 576359@bugs.debian.org, 582884@bugs.debian.org, 605001@bugs.debian.org
Date: Tue, 26 Apr 2011 22:32:29 +0200
Hey,

As I don't see any progress on this ITP/RFS I would like to take over
and try to get it into Debian.


Thanks,

Adnan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Tue, 26 Apr 2011 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 26 Apr 2011 23:00:05 GMT) Full text and rfc822 format available.

Message #138 received at 582884@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: Adnan Hodzic <adnan@foolcontrol.org>, 582884@bugs.debian.org
Cc: 576359@bugs.debian.org, 605001@bugs.debian.org
Subject: Re: Bug#582884:
Date: Wed, 27 Apr 2011 00:56:25 +0200
On Tue, Apr 26, 2011 at 22:32, Adnan Hodzic <adnan@foolcontrol.org> wrote:
> Hey,
>
> As I don't see any progress on this ITP/RFS I would like to take over
> and try to get it into Debian.

Hi Adnan,

As the previous ITPer, I was intending to switch this ITP to RFP. I
have done some work on it, but I'm not sure if it will be of any use.
Anyways, you can PM me if you need any help.

You can of course take over the ITP.

Happy hacking!
 Ignace M




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Mon, 15 Aug 2011 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Dunne <sam.dunne101@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 15 Aug 2011 16:42:03 GMT) Full text and rfc822 format available.

Message #143 received at 582884@bugs.debian.org (full text, mbox):

From: Sam Dunne <sam.dunne101@gmail.com>
To: Adnan Hodzic <adnan@foolcontrol.org>, 582884@bugs.debian.org
Subject: Re: Bug#582884:
Date: Mon, 15 Aug 2011 17:38:41 +0100
Hey there,

If there hasn't been any progress on this I would be extremely
interested in taking over this.

Let me know :)

-- 
Sam Dunne
BSc Computer Science, UCD Dublin.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Tue, 16 Aug 2011 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Aug 2011 17:51:03 GMT) Full text and rfc822 format available.

Message #148 received at 582884@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Sam Dunne <sam.dunne101@gmail.com>
Cc: 582884@bugs.debian.org
Subject: Re: Bug#582884:
Date: Tue, 16 Aug 2011 19:13:46 +0200
Hey Sam,

> If there hasn't been any progress on this I would be extremely
> interested in taking over this.

I have many things on my hands right now and therefor feel free to
take over this package.

Enjoy,

Adnan

On Mon, Aug 15, 2011 at 6:38 PM, Sam Dunne <sam.dunne101@gmail.com> wrote:
> Hey there,
>
> If there hasn't been any progress on this I would be extremely
> interested in taking over this.
>
> Let me know :)
>
> --
> Sam Dunne
> BSc Computer Science, UCD Dublin.
>



-- 
Adnan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Wed, 16 May 2012 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 16 May 2012 14:27:08 GMT) Full text and rfc822 format available.

Message #153 received at 582884@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 582884@bugs.debian.org
Subject: re: ITP: usb-creator -- startup disk creator
Date: Wed, 16 May 2012 15:26:19 +0100
I just came across this package due to debian-CD discussion on d-devel. 

I fixed up the current ubuntu version so it builds and installs on
Debian and is less distro-specific.

Then I found this ITP and argument about the name.

Where are we at? Is anyone going to get this into wheezy (I think it
would be very useful and it would be trivial but for the name-change).

It seems we are stalled on the name-change. Can that just be done now
(as quantal has been released, so now is a good time) and get on with
it, or is there an actual problem?

Anyway - here is my patch to hopefully save someone some time. I would
prefer it if the people who wrote this and did work already would
maintian this in Debian - I see Dmitrijs is a DD and has done most of
the Debianisation so far. But I don't mind sponsoring if that helps.
(I.e I don't particularly desire to be an uploader for this - feel
free to remove me :-)

Stuff I changed:
removed dh-translations (doesn't exist in Debian) - used dpkg-vendor
in rules file to call/not-call as required.

Changed description to be distro-neutral

Removed gir-unity install-dep (doesn;t exist on debian)
Changed syslinux install-dep (no syslinux-legacy on debian - is this
an issue technically - is syslinux 2.3x needed for some reason?

Hacked .ui files to say Debian or ubuntu, and suggest install as well
a live disk. This is hacky - could be done much better to put in
apropriate name for distro, or just talk about 'the image you just
wrote'. Awkward to be both newbie-friendly and accurate, and cover
installers as well as live images in one sentence. Suggestions for how
to handle this are welcome.

Checked and updated standards-version. I will test it with some real
installer images tonight.

It does seem that we need to have some control file differences
between Debian and Ubuntu so there will have to be a small Ubuntu
diff, unless someone can think of a clever way to deal with this.

Wookey




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582884; Package wnpp. (Thu, 17 May 2012 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 May 2012 10:03:09 GMT) Full text and rfc822 format available.

Message #158 received at 582884@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 582884@bugs.debian.org
Subject: re: ITP: usb-creator -- startup disk creator
Date: Thu, 17 May 2012 11:00:12 +0100
[Message part 1 (text/plain, inline)]
I forgot the patch. Attached this time.

I've also filed this bug:
https://bugs.launchpad.net/ubuntu/+source/usb-creator/+bug/1000527
which points out breakage in the package due
to trying to deal with syslinx version changes but assumes Ubuntu
nomenclature in a version check.
[usb-creator-2.2.8-debianize.patch (text/x-diff, attachment)]

Changed Bug title to 'RFP: usb-creator-to-be-renamed -- startup disk creator' from 'ITP: usb-creator -- startup disk creator' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 05:27:05 GMT) Full text and rfc822 format available.

Merged 576359 582884 605001 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 05:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:05:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.